const state = {
    cart: []
}

const getters = {
    getCartItems(state) {
        return state.cart
    },
    isEmpty(state) {
        return state.cart.length !== 0
    }
}

const mutations = {
    addToCart(state, payload) {
        let finded = state.cart.find(item => item.id == payload.data.id)

        if (!finded) {
            state.cart = [payload.data, ...state.cart]
        }
    }
}

const actions = {
    addToCart({ commit }, payload) {
        commit('addToCart', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}